Subject: Re: [PATCH v3 1/4] t5000: test tar files that overflow ustar headers

From: Junio C Hamano <[email-masked]>
Date: Fri, 24 Jun 2016 15:41:47 -0700

Jeff King <[email-masked]> writes:

> The difference in time between the two is measurable on my system, but
> it's only a few milliseconds (for 4096 bytes). So maybe it's not worth
> worrying about (though as a general technique, it does make me worry
> that it's easy to get wrong in a way that will fail racily).

Yeah, GNU dd has iflag=fullblock, but if we assume GNU, we can
safely assume "head -c", so I do not think of a way to do this
portably enough.